Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.parsers
Class SAXParserFactory

    java.lang.Object
      |
      +--javax.xml.parsers.SAXParserFactory

Direct Known Subclasses:
  JAXPFactory

public abstract class SAXParserFactory
extends java.lang.Object

SAXParserFactory is used to bootstrap JAXP wrappers for SAX parsers. Note that the JAXP 1.1 spec does not specify how the isValidating() or isNamespaceAware() flags relate to the SAX2 feature flags controlling those same features.

Version:
  1.0
Author:
  Andrew Selkirk, David Brownell

Constructor Summary
`protected` | `SAXParserFactory()`

Method Summary
`abstract boolean` | `getFeature(java.lang.String name)` Retrieves a current factory feature flag setting.
`boolean` | `isNamespaceAware()`
`boolean` | `isValidating()`
`static SAXParserFactory` | `newInstance()`
`abstract SAXParser` | `newSAXParser()` Returns a new instance of a SAXParser using the platform default implementation and the currently specified factory feature flag settings.
`abstract void` | `setFeature(java.lang.String name, boolean value)` Establishes a factory parameter corresponding to the specified feature flag.
`void` | `setNamespaceAware(boolean value)`
`void` | `setValidating(boolean value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXParserFactory

    protected SAXParserFactory()

Method Detail

### newInstance

    public static SAXParserFactory newInstance()

### newSAXParser

    public abstract SAXParser newSAXParser()
                                    throws ParserConfigurationException,
                                           SAXException

  Returns a new instance of a SAXParser using the platform default implementation and the currently specified factory feature flag settings.
  Throws:
    `ParserConfigurationException` - when the parameter combination is not supported
    `SAXNotRecognizedException` - if one of the specified SAX2 feature flags is not recognized
    `SAXNotSupportedException` - if one of the specified SAX2 feature flags values can not be set, perhaps because of sequencing requirements (which could be met by using SAX2 directly)

### setNamespaceAware

    public void setNamespaceAware(boolean value)

### setValidating

    public void setValidating(boolean value)

### isNamespaceAware

    public boolean isNamespaceAware()

### isValidating

    public boolean isValidating()

### setFeature

    public abstract void setFeature(java.lang.String name,
                                    boolean value)
                             throws ParserConfigurationException,
                                    SAXNotRecognizedException,
                                    SAXNotSupportedException

  Establishes a factory parameter corresponding to the specified feature flag.
  Parameters:
    `name` - identifies the feature flag
    `value` - specifies the desired flag value
  Throws:
    `SAXNotRecognizedException` - if the specified SAX2 feature flag is not recognized
    `SAXNotSupportedException` - if the specified SAX2 feature flag values can not be set, perhaps because of sequencing requirements (which could be met by using SAX2 directly)

### getFeature

    public abstract boolean getFeature(java.lang.String name)
                                throws ParserConfigurationException,
                                       SAXNotRecognizedException,
                                       SAXNotSupportedException

  Retrieves a current factory feature flag setting.
  Parameters:
    `name` - identifies the feature flag
  Throws:
    `SAXNotRecognizedException` - if the specified SAX2 feature flag is not recognized
    `SAXNotSupportedException` - if the specified SAX2 feature flag values can not be accessed before parsing begins.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.